#explanations

#how to play
tellraw @a[tag=howtoplay] ["",{"text":"In Pillar Ninjas, you have to jump from pillar to pillar carrying a \"ball\" item (think of it as a \"tag\").","color":"green"},{"text":"\n"},{"text":"\n"},{"text":"Depending on which of the two gamemodes you are playing, there will be different objectives.","color":"green"},{"text":"\n"},{"text":"But something to always keep in mind is that if your team has the ball, it's always a good thing, so avoid your opponents at all times.","color":"gold"},{"text":"\n"},{"text":"\n"},{"text":"You will also have the ability to select the kind of arena to play on, as well as to have powerups.","color":"green"},{"text":"\n"},{"text":"Powerups are useful tools to give you an advantage over your opponents, so read carefully what they do before using them!","color":"gold"},{"text":"\n"},{"text":"<Click here to read more about the gamemodes>","color":"red","clickEvent":{"action":"run_command","value":"/trigger allInfo set 3"}}]
execute as @a[tag=howtoplay] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
scoreboard players set @a[tag=howtoplay] sign 10
execute as @a[tag=howtoplay] run tag @s remove howtoplay

#gamemodes
tellraw @a[tag=gamemodes] ["",{"text":"Catch Gamemode: ","bold":true,"color":"yellow"},{"text":"\n"},{"text":"This gamemode requires at least ","color":"green"},{"text":"2 players per team.","underlined":true,"color":"green"},{"text":"\n"},{"text":"To score points, you must pass the ball to a teammate of yours. If you miss, the ball goes to a player in the opposing team.","color":"gold"},{"text":"\n"},{"text":"Clutch Gamemode: ","bold":true,"color":"yellow"},{"text":"\n"},{"text":"This gamemode requires at least ","color":"green"},{"text":"1 player per team.","underlined":true,"color":"green"},{"text":"\n"},{"text":"To score points, you need to hold the ball tag for as long as possible to gather XP levels. After ~10 seconds you'll get to 100 levels, making your team score a point.","color":"gold"}]
execute as @a[tag=gamemodes] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
scoreboard players set @a[tag=gamemodes] sign 10
execute as @a[tag=gamemodes] run tag @s remove gamemodes

#all info
tellraw @a[tag=allInfo] ["",{"text":"<Start>","color":"red","clickEvent":{"action":"run_command","value":"/trigger allInfo set 1"}},{"text":"\n"},{"text":"<How to Play>","color":"light_purple","clickEvent":{"action":"run_command","value":"/trigger allInfo set 2"}},{"text":"\n"},{"text":"<Gamemodes>","color":"red","clickEvent":{"action":"run_command","value":"/trigger allInfo set 3"}},{"text":"\n"},{"text":"<Mechanics>","color":"light_purple","clickEvent":{"action":"run_command","value":"/trigger allInfo set 4"}},{"text":"\n"},{"text":"<Powerups>","color":"red","clickEvent":{"action":"run_command","value":"/trigger allInfo set 5"}},{"text":"\n"},{"text":"<Custom Pillars>","color":"light_purple","clickEvent":{"action":"run_command","value":"/trigger allInfo set 6"}},{"text":"\n"},{"text":"<Credits>","color":"red","clickEvent":{"action":"run_command","value":"/trigger allInfo set 7"}}]
execute as @a[tag=allInfo] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
scoreboard players set @a[tag=allInfo] sign 10
execute as @a[tag=allInfo] run tag @s remove allInfo

#misc

tag @a[scores={allInfo=1}] add startL
tag @a[scores={allInfo=2}] add howtoplay
tag @a[scores={allInfo=3}] add gamemodes
tag @a[scores={allInfo=4}] add mechanics
tag @a[scores={allInfo=5}] add powerupsL
tag @a[scores={allInfo=6}] add customPillars
tag @a[scores={allInfo=7}] add creditsL
scoreboard players set @a[scores={allInfo=1..}] allInfo 0

#start
tellraw @a[tag=startL] ["",{"text":"When the game starts, everyone will get levitation. Falling from a pillar will take you back to the middle with levitation as well.","color":"green"},{"text":"\n"},{"text":"\n"},{"text":"The ball will spawn on a random pillar and the first person to jump on it will start with the tag.","color":"gold"}]
execute as @a[tag=startL] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
execute as @a[tag=startL] run tag @s remove startL

#mechanics
tellraw @a[tag=mechanics] ["",{"text":"This game has a couple of options you can select to make the game more interesting.","color":"green"},{"text":"\n"},{"text":"\n"},{"text":"Speed: Varies from 0 to 2","color":"gold"},{"text":"\n"},{"text":"Jump Boost: Varies from 0 to 3","color":"green"},{"text":"\n"},{"text":"\n"},{"text":"Arena Size: Can be either small, medium or big","color":"gold"},{"text":"\n"},{"text":"Ball Item: The ball item can be a bow, trident or crossbow!","color":"green"},{"text":"\n"},{"text":"Goal: You can decide the amount of points that need to be reached in order to win, from 5 to 30","color":"gold"}]
execute as @a[tag=mechanics] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
execute as @a[tag=mechanics] run tag @s remove mechanics

#Powerups
tellraw @a[tag=powerupsL] ["",{"text":"Fishing Rod: ","color":"white"},{"text":"i hope i catch a good player","color":"white"},{"text":"\n"},{"text":"\n"},{"text":"Booster: ","color":"light_purple"},{"text":"Place to create a small cloud that boosts you up","color":"green"},{"text":"\n"},{"text":"\n"},{"text":"TNT: ","color":"red"},{"text":"Drop this on a pillar to set a trap which gets triggered when an opponent steps on it","color":"gold"},{"text":"\n"},{"text":"\n"},{"text":"Inverter Shard: ","color":"dark_aqua"},{"text":"Drop to rotate all the enemy team players by 180 degrees","color":"green"},{"text":"\n"},{"text":"\n"},{"text":"Lightning: ","color":"yellow"},{"text":"Drop to summon a lightning on the ball player, even if your team has the ball","color":"gold"}]
execute as @a[tag=powerupsL] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
execute as @a[tag=powerupsL] run tag @s remove powerupsL

#Custom Pillars
tellraw @a[tag=customPillars] ["",{"text":"By selecting the \"Custom Arena\" preset, you can choose the values for generating pillars in the arena.","color":"gold"},{"text":"\n"},{"text":"Right now, you're seeing either a red or green square, depending if the custom pillars you're trying to generate will actually work or not.","color":"green"},{"text":"\n"},{"text":"\n"},{"text":"You can have a thin pillars, thick pillars or a mix of them.","color":"gold"},{"text":"\n"},{"text":"You can select the gap lenght between the center of the pillars, as well as the height variation which will happen randomly if enabled.","color":"green"}]
execute as @a[tag=customPillars] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
execute as @a[tag=customPillars] run tag @s remove customPillars

#credits
tellraw @a[tag=creditsL] ["",{"text":"This map was made by me, ","color":"dark_aqua"},{"text":"Supersette.","color":"dark_aqua","clickEvent":{"action":"open_url","value":"https://twitter.com/supersette77"},"hoverEvent":{"action":"show_text","value":["",{"text":"left-click to check out my twitter","color":"white"}]}},{"text":"\n"},{"text":"The main builder for Pillar Ninjas is ","color":"gold"},{"text":"Arrgs.","color":"gold","clickEvent":{"action":"open_url","value":"https://twitter.com/ReevesGame"},"hoverEvent":{"action":"show_text","value":["",{"text":"left-click to check out his twitter","color":"white"}]}}]
execute as @a[tag=creditsL] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
execute as @a[tag=creditsL] run tag @s remove creditsL

#Supersette
tellraw @a[tag=supersette] ["",{"text":"Twitter:","color":"aqua"},{"text":"\n"},{"text":"https://twitter.com/supersette77","color":"aqua","clickEvent":{"action":"open_url","value":"https://twitter.com/supersette77"},"hoverEvent":{"action":"show_text","value":["",{"text":"left-click to open","color":"white"}]}},{"text":"\n"},{"text":"\n"},{"text":"Discord: Supersette#7777","color":"dark_aqua"}]
execute as @a[tag=supersette] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
execute as @a[tag=supersette] run tag @s remove supersette

#Arrgs
tellraw @a[tag=arrgs] ["",{"text":"Twitter:","color":"aqua"},{"text":"\n"},{"text":"https://twitter.com/ReevesGame","color":"aqua","clickEvent":{"action":"open_url","value":"https://twitter.com/ReevesGame"},"hoverEvent":{"action":"show_text","value":["",{"text":"left-click to open","color":"white"}]}},{"text":"\n"},{"text":"\n"},{"text":"Discord: Arrgs#3559","color":"dark_aqua"}]
execute as @a[tag=arrgs] at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 100 2
execute as @a[tag=arrgs] run tag @s remove arrgs

